<?php

require_once('AbstractFactory.php');
require_once('Object/DataObject.php');
require_once('Model/Panel/General.php');


class WebActionFactory extends AbstractFactory{
	
 private $dtObject;
 private $type; 	

 function __construct(DataObject $dtObject){

	Utility::Logger("AppActionFactory Constructor Running");
 	$this->dtObject = $dtObject;
 	$this->type = $dtObject->getRequestType();


 }

 public function getFactoryObject(){
  
  if($this->type=="Brand"){

    $queryAction =  new General($this->general);

  }


  return $queryAction;


 }


}






?>